classification
Title: python 3.9.0b5 test
Type: Stage: resolved
Components: Tests Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder: test_tk test_widgets.ScaleTest fails with Tk 8.6.10
View: 41306
Assigned To: Nosy List: Jim.Jewett, YoSTEALTH, ned.deily, pablogsal, xtreak
Priority: normal Keywords:

Created on 2020-07-26 21:11 by YoSTEALTH, last changed 2020-07-28 21:15 by ned.deily. This issue is now closed.

Messages (9)
msg374344 - (view) Author: (YoSTEALTH) * Date: 2020-07-26 21:11
>>> /opt/python/3.9.0/bin/python3 -m test -uall
== CPython 3.9.0b5 (default, Jul 22 2020, 13:13:23) [GCC 10.1.0]
== Linux-5.8.0-1-MANJARO-x86_64-with-glibc2.31 little-endian
== cwd: /tmp/test_python_39605æ
== CPU count: 16
== encodings: locale=UTF-8, FS=utf-8
0:00:00 load avg: 1.24 Run tests sequentially
0:00:00 load avg: 1.24 [  1/425] test_grammar
0:00:00 load avg: 1.24 [  2/425] test_opcodes
0:00:00 load avg: 1.24 [  3/425] test_dict
0:00:00 load avg: 1.24 [  4/425] test_builtin
0:00:00 load avg: 1.24 [  5/425] test_exceptions
0:00:02 load avg: 1.22 [  6/425] test_types
0:00:02 load avg: 1.22 [  7/425] test_unittest
0:00:05 load avg: 1.22 [  8/425] test_doctest
0:00:06 load avg: 1.20 [  9/425] test_doctest2
0:00:07 load avg: 1.20 [ 10/425] test_support
0:00:09 load avg: 1.20 [ 11/425] test___all__
0:00:11 load avg: 1.20 [ 12/425] test___future__
0:00:11 load avg: 1.27 [ 13/425] test__locale
0:00:11 load avg: 1.27 [ 14/425] test__opcode
0:00:12 load avg: 1.27 [ 15/425] test__osx_support
0:00:12 load avg: 1.27 [ 16/425] test__xxsubinterpreters
0:00:13 load avg: 1.27 [ 17/425] test_abc
0:00:14 load avg: 1.27 [ 18/425] test_abstract_numbers
0:00:14 load avg: 1.27 [ 19/425] test_aifc
0:00:15 load avg: 1.27 [ 20/425] test_argparse
0:00:18 load avg: 1.24 [ 21/425] test_array
0:00:21 load avg: 1.22 [ 22/425] test_asdl_parser
test_asdl_parser skipped -- test irrelevant for an installed Python
0:00:21 load avg: 1.22 [ 23/425] test_ast -- test_asdl_parser skipped
0:00:24 load avg: 1.22 [ 24/425] test_asyncgen
0:00:25 load avg: 1.22 [ 25/425] test_asynchat
0:00:27 load avg: 1.13 [ 26/425] test_asyncio
0:02:10 load avg: 1.39 [ 27/425] test_asyncore -- test_asyncio passed in 1 min 43 sec
0:02:12 load avg: 1.28 [ 28/425] test_atexit
0:02:12 load avg: 1.28 [ 29/425] test_audioop
0:02:13 load avg: 1.28 [ 30/425] test_audit
0:02:14 load avg: 1.28 [ 31/425] test_augassign
0:02:15 load avg: 1.28 [ 32/425] test_base64
0:02:15 load avg: 1.28 [ 33/425] test_baseexception
0:02:15 load avg: 1.28 [ 34/425] test_bdb
0:02:16 load avg: 1.28 [ 35/425] test_bigaddrspace
0:02:16 load avg: 1.26 [ 36/425] test_bigmem
0:02:17 load avg: 1.26 [ 37/425] test_binascii
0:02:17 load avg: 1.26 [ 38/425] test_binhex
0:02:17 load avg: 1.26 [ 39/425] test_binop
0:02:18 load avg: 1.26 [ 40/425] test_bisect
0:02:18 load avg: 1.26 [ 41/425] test_bool
0:02:18 load avg: 1.26 [ 42/425] test_buffer
0:02:29 load avg: 1.30 [ 43/425] test_bufio
0:02:30 load avg: 1.30 [ 44/425] test_bytes
0:02:32 load avg: 1.35 [ 45/425] test_bz2
0:02:37 load avg: 1.33 [ 46/425] test_c_locale_coercion
0:02:40 load avg: 1.33 [ 47/425] test_calendar
0:02:44 load avg: 1.38 [ 48/425] test_call
0:02:44 load avg: 1.38 [ 49/425] test_capi
0:03:07 load avg: 1.23 [ 50/425] test_cgi
0:03:08 load avg: 1.23 [ 51/425] test_cgitb
0:03:08 load avg: 1.23 [ 52/425] test_charmapcodec
0:03:09 load avg: 1.23 [ 53/425] test_check_c_globals
test_check_c_globals skipped -- c-analyzer directory could not be found
0:03:09 load avg: 1.23 [ 54/425] test_class -- test_check_c_globals skipped
0:03:09 load avg: 1.23 [ 55/425] test_clinic
test_clinic skipped -- clinic directory could not be found
0:03:10 load avg: 1.23 [ 56/425] test_cmath -- test_clinic skipped
0:03:10 load avg: 1.23 [ 57/425] test_cmd
0:03:10 load avg: 1.23 [ 58/425] test_cmd_line
0:03:14 load avg: 1.21 [ 59/425] test_cmd_line_script
0:03:18 load avg: 1.27 [ 60/425] test_code
0:03:19 load avg: 1.27 [ 61/425] test_code_module
0:03:19 load avg: 1.27 [ 62/425] test_codeccallbacks
0:03:19 load avg: 1.27 [ 63/425] test_codecencodings_cn
0:03:20 load avg: 1.27 [ 64/425] test_codecencodings_hk
0:03:20 load avg: 1.27 [ 65/425] test_codecencodings_iso2022
0:03:21 load avg: 1.25 [ 66/425] test_codecencodings_jp
0:03:22 load avg: 1.25 [ 67/425] test_codecencodings_kr
0:03:23 load avg: 1.25 [ 68/425] test_codecencodings_tw
0:03:23 load avg: 1.25 [ 69/425] test_codecmaps_cn
0:03:27 load avg: 1.23 [ 70/425] test_codecmaps_hk
0:03:28 load avg: 1.23 [ 71/425] test_codecmaps_jp
0:03:33 load avg: 1.13 [ 72/425] test_codecmaps_kr
0:03:37 load avg: 1.12 [ 73/425] test_codecmaps_tw
0:03:40 load avg: 1.12 [ 74/425] test_codecs
0:03:42 load avg: 1.83 [ 75/425] test_codeop
0:03:42 load avg: 1.83 [ 76/425] test_collections
0:03:43 load avg: 1.83 [ 77/425] test_colorsys
0:03:44 load avg: 1.83 [ 78/425] test_compare
0:03:44 load avg: 1.83 [ 79/425] test_compile
0:03:47 load avg: 1.85 [ 80/425] test_compileall
0:04:00 load avg: 1.71 [ 81/425] test_complex
0:04:01 load avg: 1.71 [ 82/425] test_concurrent_futures
0:06:35 load avg: 1.28 [ 83/425] test_configparser -- test_concurrent_futures passed in 2 min 34 sec
0:06:36 load avg: 1.26 [ 84/425] test_contains
0:06:37 load avg: 1.26 [ 85/425] test_context
0:06:39 load avg: 1.26 [ 86/425] test_contextlib
0:06:39 load avg: 1.26 [ 87/425] test_contextlib_async
Task was destroyed but it is pending!
task: <Task pending name='Task-4436' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-4438' coro=<<async_generator_athrow without __name__>()>>
Task was destroyed but it is pending!
task: <Task pending name='Task-4443' coro=<<async_generator_athrow without __name__>()>>
0:06:40 load avg: 1.26 [ 88/425] test_copy
0:06:40 load avg: 1.26 [ 89/425] test_copyreg
0:06:40 load avg: 1.26 [ 90/425] test_coroutines
0:06:42 load avg: 1.24 [ 91/425] test_cprofile
0:06:43 load avg: 1.24 [ 92/425] test_crashers
0:06:43 load avg: 1.24 [ 93/425] test_crypt
0:06:44 load avg: 1.24 [ 94/425] test_csv
0:06:45 load avg: 1.24 [ 95/425] test_ctypes
0:06:48 load avg: 1.38 [ 96/425] test_curses
test test_curses failed -- Traceback (most recent call last):
  File "/opt/python/3.9.0/lib/python3.9/test/test_curses.py", line 289, in test_colors_funcs
    curses.pair_content(curses.COLOR_PAIRS - 1)
OverflowError: signed short integer is greater than maximum

0:06:49 load avg: 1.38 [ 97/425/1] test_dataclasses -- test_curses failed
0:06:49 load avg: 1.38 [ 98/425/1] test_datetime
0:06:55 load avg: 1.35 [ 99/425/1] test_dbm
0:06:55 load avg: 1.35 [100/425/1] test_dbm_dumb
0:06:56 load avg: 1.35 [101/425/1] test_dbm_gnu
0:06:56 load avg: 1.56 [102/425/1] test_dbm_ndbm
0:06:57 load avg: 1.56 [103/425/1] test_decimal
0:07:11 load avg: 1.58 [104/425/1] test_decorators
0:07:12 load avg: 1.58 [105/425/1] test_defaultdict
0:07:12 load avg: 1.58 [106/425/1] test_deque
0:07:17 load avg: 1.54 [107/425/1] test_descr
0:07:20 load avg: 1.54 [108/425/1] test_descrtut
0:07:21 load avg: 1.54 [109/425/1] test_devpoll
test_devpoll skipped -- test works only on Solaris OS family
0:07:21 load avg: 1.54 [110/425/1] test_dict_version -- test_devpoll skipped
0:07:22 load avg: 1.57 [111/425/1] test_dictcomps
0:07:22 load avg: 1.57 [112/425/1] test_dictviews
0:07:22 load avg: 1.57 [113/425/1] test_difflib
0:07:24 load avg: 1.57 [114/425/1] test_dis
0:07:25 load avg: 1.57 [115/425/1] test_distutils
0:07:30 load avg: 1.53 [116/425/1] test_docxmlrpc
0:07:34 load avg: 1.41 [117/425/1] test_dtrace
0:07:35 load avg: 1.41 [118/425/1] test_dynamic
0:07:35 load avg: 1.41 [119/425/1] test_dynamicclassattribute
0:07:36 load avg: 1.41 [120/425/1] test_eintr
0:07:43 load avg: 1.26 [121/425/1] test_email
0:07:50 load avg: 1.24 [122/425/1] test_embed
0:07:50 load avg: 1.24 [123/425/1] test_ensurepip
0:07:51 load avg: 1.24 [124/425/1] test_enum
0:07:51 load avg: 1.30 [125/425/1] test_enumerate
0:07:52 load avg: 1.30 [126/425/1] test_eof
0:07:53 load avg: 1.30 [127/425/1] test_epoll
0:07:55 load avg: 1.30 [128/425/1] test_errno
0:07:56 load avg: 1.30 [129/425/1] test_exception_hierarchy
0:07:56 load avg: 1.30 [130/425/1] test_exception_variations
0:07:57 load avg: 1.36 [131/425/1] test_extcall
0:07:57 load avg: 1.36 [132/425/1] test_faulthandler
0:08:23 load avg: 1.24 [133/425/1] test_fcntl
0:08:23 load avg: 1.24 [134/425/1] test_file
0:08:24 load avg: 1.24 [135/425/1] test_file_eintr
0:08:26 load avg: 1.22 [136/425/1] test_filecmp
0:08:27 load avg: 1.22 [137/425/1] test_fileinput
0:08:28 load avg: 1.22 [138/425/1] test_fileio
0:08:28 load avg: 1.22 [139/425/1] test_finalization
0:08:32 load avg: 1.20 [140/425/1] test_float
0:08:32 load avg: 1.20 [141/425/1] test_flufl
0:08:33 load avg: 1.20 [142/425/1] test_fnmatch
0:08:33 load avg: 1.20 [143/425/1] test_fork1
0:08:39 load avg: 1.19 [144/425/1] test_format
0:08:39 load avg: 1.19 [145/425/1] test_fractions
0:08:40 load avg: 1.19 [146/425/1] test_frame
0:08:41 load avg: 1.19 [147/425/1] test_frozen
0:08:41 load avg: 1.19 [148/425/1] test_fstring
0:08:42 load avg: 1.17 [149/425/1] test_ftplib
0:08:46 load avg: 1.17 [150/425/1] test_funcattrs
0:08:46 load avg: 1.24 [151/425/1] test_functools
0:08:47 load avg: 1.24 [152/425/1] test_future
0:08:48 load avg: 1.24 [153/425/1] test_future3
0:08:48 load avg: 1.24 [154/425/1] test_future4
0:08:49 load avg: 1.24 [155/425/1] test_future5
0:08:49 load avg: 1.24 [156/425/1] test_gc
0:08:56 load avg: 1.36 [157/425/1] test_gdb
test_gdb skipped -- test_gdb only works on source builds at the moment.
0:08:58 load avg: 1.36 [158/425/1] test_generator_stop -- test_gdb skipped
0:08:58 load avg: 1.36 [159/425/1] test_generators
0:08:59 load avg: 1.36 [160/425/1] test_genericalias
0:09:00 load avg: 1.36 [161/425/1] test_genericclass
0:09:00 load avg: 1.36 [162/425/1] test_genericpath
0:09:01 load avg: 1.36 [163/425/1] test_genexps
0:09:01 load avg: 1.41 [164/425/1] test_getargs2
0:09:02 load avg: 1.41 [165/425/1] test_getopt
0:09:02 load avg: 1.41 [166/425/1] test_getpass
0:09:03 load avg: 1.41 [167/425/1] test_gettext
0:09:04 load avg: 1.41 [168/425/1] test_glob
0:09:05 load avg: 1.41 [169/425/1] test_global
0:09:05 load avg: 1.41 [170/425/1] test_graphlib
0:09:06 load avg: 1.41 [171/425/1] test_grp
0:09:06 load avg: 1.41 [172/425/1] test_gzip
0:09:07 load avg: 1.45 [173/425/1] test_hash
0:09:09 load avg: 1.45 [174/425/1] test_hashlib
0:09:13 load avg: 1.42 [175/425/1] test_heapq
0:09:14 load avg: 1.42 [176/425/1] test_hmac
0:09:15 load avg: 1.42 [177/425/1] test_html
0:09:16 load avg: 1.42 [178/425/1] test_htmlparser
0:09:16 load avg: 1.42 [179/425/1] test_http_cookiejar
0:09:17 load avg: 1.63 [180/425/1] test_http_cookies
0:09:18 load avg: 1.63 [181/425/1] test_httplib
0:09:20 load avg: 1.63 [182/425/1] test_httpservers
0:09:23 load avg: 1.58 [183/425/1] test_idle
0:09:33 load avg: 1.57 [184/425/1] test_imaplib
0:09:56 load avg: 1.27 [185/425/1] test_imghdr
0:09:57 load avg: 1.27 [186/425/1] test_imp
0:09:58 load avg: 1.27 [187/425/1] test_import
0:10:00 load avg: 1.27 [188/425/1] test_importlib
0:10:03 load avg: 1.40 [189/425/1] test_index
0:10:04 load avg: 1.40 [190/425/1] test_inspect
0:10:06 load avg: 1.40 [191/425/1] test_int
0:10:06 load avg: 1.45 [192/425/1] test_int_literal
0:10:07 load avg: 1.45 [193/425/1] test_io
0:11:00 load avg: 1.22 [194/425/1] test_ioctl -- test_io passed in 53.3 sec
0:11:01 load avg: 1.22 [195/425/1] test_ipaddress
0:11:02 load avg: 1.28 [196/425/1] test_isinstance
0:11:02 load avg: 1.28 [197/425/1] test_iter
0:11:03 load avg: 1.28 [198/425/1] test_iterlen
0:11:04 load avg: 1.28 [199/425/1] test_itertools
0:11:09 load avg: 1.34 [200/425/1] test_json
0:11:13 load avg: 1.47 [201/425/1] test_keyword
0:11:14 load avg: 1.47 [202/425/1] test_keywordonlyarg
0:11:15 load avg: 1.47 [203/425/1] test_kqueue
test_kqueue skipped -- test works only on BSD
0:11:15 load avg: 1.47 [204/425/1] test_largefile -- test_kqueue skipped
0:11:16 load avg: 1.47 [205/425/1] test_lib2to3
0:11:58 load avg: 1.38 [206/425/1] test_linecache -- test_lib2to3 passed in 42.0 sec
0:11:58 load avg: 1.38 [207/425/1] test_list
0:12:00 load avg: 1.38 [208/425/1] test_listcomps
0:12:00 load avg: 1.38 [209/425/1] test_lltrace
0:12:01 load avg: 1.38 [210/425/1] test_locale
0:12:02 load avg: 1.43 [211/425/1] test_logging
0:12:21 load avg: 1.31 [212/425/1] test_long
0:12:26 load avg: 1.31 [213/425/1] test_longexp
0:12:27 load avg: 1.28 [214/425/1] test_lzma
0:12:32 load avg: 1.26 [215/425/1] test_mailbox
0:12:34 load avg: 1.26 [216/425/1] test_mailcap
0:12:34 load avg: 1.26 [217/425/1] test_marshal
0:12:35 load avg: 1.26 [218/425/1] test_math
0:12:39 load avg: 1.24 [219/425/1] test_memoryio
0:12:40 load avg: 1.24 [220/425/1] test_memoryview
0:12:44 load avg: 1.22 [221/425/1] test_metaclass
0:12:44 load avg: 1.22 [222/425/1] test_mimetypes
0:12:45 load avg: 1.22 [223/425/1] test_minidom
0:12:46 load avg: 1.22 [224/425/1] test_mmap
0:12:47 load avg: 1.20 [225/425/1] test_module
0:12:48 load avg: 1.20 [226/425/1] test_modulefinder
0:12:49 load avg: 1.20 [227/425/1] test_msilib
test_msilib skipped -- No module named 'msilib'
0:12:50 load avg: 1.20 [228/425/1] test_multibytecodec -- test_msilib skipped
0:12:52 load avg: 1.18 [229/425/1] test_multiprocessing_fork
abc0:13:57 load avg: 1.30 [230/425/1] test_multiprocessing_forkserver -- test_multiprocessing_fork passed in 1 min 5 sec
0:15:05 load avg: 0.97 [231/425/1] test_multiprocessing_main_handling -- test_multiprocessing_forkserver passed in 1 min 7 sec
0:15:15 load avg: 1.46 [232/425/1] test_multiprocessing_spawn
0:16:39 load avg: 1.64 [233/425/1] test_named_expressions -- test_multiprocessing_spawn passed in 1 min 24 sec
0:16:39 load avg: 1.64 [234/425/1] test_netrc
0:16:40 load avg: 1.64 [235/425/1] test_nis
0:16:41 load avg: 1.64 [236/425/1] test_nntplib
0:17:10 load avg: 1.43 [237/425/1] test_ntpath
0:17:11 load avg: 1.43 [238/425/1] test_numeric_tower
0:17:12 load avg: 1.48 [239/425/1] test_openpty
0:17:13 load avg: 1.48 [240/425/1] test_operator
0:17:13 load avg: 1.48 [241/425/1] test_optparse
0:17:14 load avg: 1.48 [242/425/1] test_ordered_dict
0:17:20 load avg: 1.52 [243/425/1] test_os
0:17:25 load avg: 1.56 [244/425/1] test_ossaudiodev
test_ossaudiodev skipped -- [Errno 2] No such file or directory: '/dev/dsp'
0:17:25 load avg: 1.56 [245/425/1] test_osx_env -- test_ossaudiodev skipped
0:17:26 load avg: 1.56 [246/425/1] test_parser
0:17:27 load avg: 1.60 [247/425/1] test_pathlib
0:17:29 load avg: 1.60 [248/425/1] test_pdb
0:17:31 load avg: 1.60 [249/425/1] test_peepholer
0:17:32 load avg: 1.87 [250/425/1] test_peg_generator
0:17:33 load avg: 1.87 [251/425/1] test_peg_parser
0:17:34 load avg: 1.87 [252/425/1] test_pickle
0:17:52 load avg: 1.70 [253/425/1] test_picklebuffer
0:17:53 load avg: 1.70 [254/425/1] test_pickletools
0:17:56 load avg: 1.70 [255/425/1] test_pipes
0:17:57 load avg: 1.72 [256/425/1] test_pkg
0:17:58 load avg: 1.72 [257/425/1] test_pkgutil
0:17:59 load avg: 1.72 [258/425/1] test_platform
0:18:00 load avg: 1.72 [259/425/1] test_plistlib
0:18:01 load avg: 1.72 [260/425/1] test_poll
0:18:13 load avg: 1.55 [261/425/1] test_popen
0:18:14 load avg: 1.55 [262/425/1] test_poplib
0:18:18 load avg: 1.51 [263/425/1] test_positional_only_arg
0:18:19 load avg: 1.51 [264/425/1] test_posix
0:18:21 load avg: 1.51 [265/425/1] test_posixpath
0:18:22 load avg: 1.55 [266/425/1] test_pow
0:18:23 load avg: 1.55 [267/425/1] test_pprint
0:18:24 load avg: 1.55 [268/425/1] test_print
0:18:25 load avg: 1.55 [269/425/1] test_profile
0:18:26 load avg: 1.55 [270/425/1] test_property
0:18:27 load avg: 1.50 [271/425/1] test_pstats
0:18:28 load avg: 1.50 [272/425/1] test_pty
0:18:29 load avg: 1.50 [273/425/1] test_pulldom
0:18:29 load avg: 1.50 [274/425/1] test_pwd
test test_pwd failed -- Traceback (most recent call last):
  File "/opt/python/3.9.0/lib/python3.9/test/test_pwd.py", line 54, in test_values_extended
    self.assertIn(pwd.getpwuid(e.pw_uid), entriesbyuid[e.pw_uid])
AssertionError: pwd.struct_passwd(pw_name='nobody', pw_passwd='*', pw_uid=65534, pw_gid=65534, pw_gecos='User Nobody', pw_dir='/', pw_shell='/usr/bin/nologin') not found in [pwd.struct_passwd(pw_name='nobody', pw_passwd='x', pw_uid=65534, pw_gid=65534, pw_gecos='nobody', pw_dir='/', pw_shell='/usr/bin/nologin')]

0:18:30 load avg: 1.50 [275/425/2] test_py_compile -- test_pwd failed
0:18:31 load avg: 1.50 [276/425/2] test_pyclbr
0:18:34 load avg: 1.62 [277/425/2] test_pydoc
0:19:08 load avg: 1.59 [278/425/2] test_pyexpat -- test_pydoc passed in 33.2 sec
0:19:08 load avg: 1.59 [279/425/2] test_queue
0:19:18 load avg: 1.82 [280/425/2] test_quopri
0:19:19 load avg: 1.82 [281/425/2] test_raise
0:19:20 load avg: 1.82 [282/425/2] test_random
0:19:22 load avg: 1.91 [283/425/2] test_range
0:19:24 load avg: 1.91 [284/425/2] test_re
0:19:26 load avg: 1.91 [285/425/2] test_readline
0:19:27 load avg: 1.92 [286/425/2] test_regrtest
0:19:44 load avg: 1.93 [287/425/2] test_repl
0:19:45 load avg: 1.93 [288/425/2] test_reprlib
0:19:46 load avg: 1.93 [289/425/2] test_resource
0:19:47 load avg: 1.86 [290/425/2] test_richcmp
0:19:48 load avg: 1.86 [291/425/2] test_rlcompleter
0:19:49 load avg: 1.86 [292/425/2] test_robotparser
0:19:50 load avg: 1.86 [293/425/2] test_runpy
0:19:52 load avg: 1.95 [294/425/2] test_sax
0:19:53 load avg: 1.95 [295/425/2] test_sched
0:19:54 load avg: 1.95 [296/425/2] test_scope
0:19:55 load avg: 1.95 [297/425/2] test_script_helper
0:19:56 load avg: 1.95 [298/425/2] test_secrets
0:19:57 load avg: 1.87 [299/425/2] test_select
0:20:09 load avg: 1.73 [300/425/2] test_selectors
0:20:30 load avg: 1.65 [301/425/2] test_set
0:20:33 load avg: 1.60 [302/425/2] test_setcomps
0:20:34 load avg: 1.60 [303/425/2] test_shelve
0:20:35 load avg: 1.60 [304/425/2] test_shlex
0:20:36 load avg: 1.60 [305/425/2] test_shutil
0:20:37 load avg: 1.63 [306/425/2] test_signal
0:21:26 load avg: 1.31 [307/425/2] test_site -- test_signal passed in 48.4 sec
0:21:27 load avg: 1.77 [308/425/2] test_slice
0:21:28 load avg: 1.77 [309/425/2] test_smtpd
0:21:29 load avg: 1.77 [310/425/2] test_smtplib
0:21:31 load avg: 1.77 [311/425/2] test_smtpnet
0:21:34 load avg: 1.79 [312/425/2] test_sndhdr
0:21:35 load avg: 1.79 [313/425/2] test_socket
0:22:01 load avg: 1.30 [314/425/2] test_socketserver
0:22:03 load avg: 1.35 [315/425/2] test_sort
0:22:04 load avg: 1.35 [316/425/2] test_source_encoding
0:22:05 load avg: 1.35 [317/425/2] test_spwd
0:22:06 load avg: 1.35 [318/425/2] test_sqlite
0:22:08 load avg: 1.48 [319/425/2] test_ssl
Resource 'ipv6.google.com' is not available
0:22:13 load avg: 1.37 [320/425/2] test_startfile
test_startfile skipped -- object <module 'os' from '/opt/python/3.9.0/lib/python3.9/os.py'> has no attribute 'startfile'
0:22:13 load avg: 1.37 [321/425/2] test_stat -- test_startfile skipped
0:22:14 load avg: 1.37 [322/425/2] test_statistics
0:22:24 load avg: 1.46 [323/425/2] test_strftime
0:22:25 load avg: 1.46 [324/425/2] test_string
0:22:26 load avg: 1.46 [325/425/2] test_string_literals
0:22:28 load avg: 1.51 [326/425/2] test_stringprep
0:22:28 load avg: 1.51 [327/425/2] test_strptime
0:22:29 load avg: 1.51 [328/425/2] test_strtod
0:22:31 load avg: 1.51 [329/425/2] test_struct
0:22:33 load avg: 1.55 [330/425/2] test_structmembers
0:22:34 load avg: 1.55 [331/425/2] test_structseq
0:22:34 load avg: 1.55 [332/425/2] test_subclassinit
0:22:35 load avg: 1.55 [333/425/2] test_subprocess
0:23:48 load avg: 1.45 [334/425/2] test_sunau -- test_subprocess passed in 1 min 12 sec
0:23:49 load avg: 1.45 [335/425/2] test_sundry
0:23:50 load avg: 1.45 [336/425/2] test_super
0:23:50 load avg: 1.45 [337/425/2] test_symbol
0:23:51 load avg: 1.45 [338/425/2] test_symtable
0:23:52 load avg: 1.50 [339/425/2] test_syntax
0:23:53 load avg: 1.50 [340/425/2] test_sys
0:23:57 load avg: 1.46 [341/425/2] test_sys_setprofile
0:23:58 load avg: 1.46 [342/425/2] test_sys_settrace
0:23:59 load avg: 1.46 [343/425/2] test_sysconfig
0:24:00 load avg: 1.46 [344/425/2] test_syslog
0:24:01 load avg: 1.46 [345/425/2] test_tabnanny
0:24:02 load avg: 1.42 [346/425/2] test_tarfile
0:24:14 load avg: 1.66 [347/425/2] test_tcl
0:24:20 load avg: 1.69 [348/425/2] test_telnetlib
0:24:21 load avg: 1.69 [349/425/2] test_tempfile
0:24:22 load avg: 1.71 [350/425/2] test_textwrap
0:24:23 load avg: 1.71 [351/425/2] test_thread
0:24:25 load avg: 1.71 [352/425/2] test_threadedtempfile
0:24:26 load avg: 1.71 [353/425/2] test_threading
0:24:39 load avg: 2.13 [354/425/2] test_threading_local
0:24:41 load avg: 2.13 [355/425/2] test_threadsignals
0:24:47 load avg: 2.03 [356/425/2] test_time
0:24:50 load avg: 2.03 [357/425/2] test_timeit
0:24:51 load avg: 2.03 [358/425/2] test_timeout
0:25:01 load avg: 1.87 [359/425/2] test_tix
0:25:02 load avg: 1.88 [360/425/2] test_tk
test test_tk failed -- Traceback (most recent call last):
  File "/opt/python/3.9.0/lib/python3.9/tkinter/test/test_tkinter/test_widgets.py", line 939, in test_from
    self.checkFloatParam(widget, 'from', 100, 14.9, 15.1, conv=float_round)
  File "/opt/python/3.9.0/lib/python3.9/tkinter/test/widget_tests.py", line 106, in checkFloatParam
    self.checkParam(widget, name, value, conv=conv, **kwargs)
  File "/opt/python/3.9.0/lib/python3.9/tkinter/test/widget_tests.py", line 63, in checkParam
    self.assertEqual2(widget[name], expected, eq=eq)
  File "/opt/python/3.9.0/lib/python3.9/tkinter/test/widget_tests.py", line 47, in assertEqual2
    self.assertEqual(actual, expected, msg)
AssertionError: 14.9 != 15.0

0:25:15 load avg: 1.96 [361/425/3] test_tokenize -- test_tk failed
0:26:26 load avg: 1.30 [362/425/3] test_tools -- test_tokenize passed in 1 min 10 sec
0:26:27 load avg: 1.30 [363/425/3] test_trace
0:26:34 load avg: 1.41 [364/425/3] test_traceback
0:26:36 load avg: 1.41 [365/425/3] test_tracemalloc
0:26:39 load avg: 1.53 [366/425/3] test_ttk_guionly
0:26:53 load avg: 2.09 [367/425/3] test_ttk_textonly
0:26:54 load avg: 2.09 [368/425/3] test_tuple
0:27:09 load avg: 2.08 [369/425/3] test_turtle
0:27:10 load avg: 2.08 [370/425/3] test_type_comments
0:27:11 load avg: 2.08 [371/425/3] test_typechecks
0:27:12 load avg: 2.08 [372/425/3] test_typing
0:27:13 load avg: 1.99 [373/425/3] test_ucn
0:27:14 load avg: 1.99 [374/425/3] test_unary
0:27:15 load avg: 1.99 [375/425/3] test_unicode
0:27:21 load avg: 1.91 [376/425/3] test_unicode_file
0:27:22 load avg: 1.91 [377/425/3] test_unicode_file_functions
0:27:23 load avg: 1.84 [378/425/3] test_unicode_identifiers
0:27:24 load avg: 1.84 [379/425/3] test_unicodedata
0:27:45 load avg: 2.02 [380/425/3] test_univnewlines
0:27:46 load avg: 2.02 [381/425/3] test_unpack
0:27:47 load avg: 2.02 [382/425/3] test_unpack_ex
0:27:48 load avg: 2.01 [383/425/3] test_unparse
0:28:49 load avg: 2.04 [384/425/3] test_urllib -- test_unparse passed in 1 min
0:28:50 load avg: 2.04 [385/425/3] test_urllib2
0:28:52 load avg: 2.12 [386/425/3] test_urllib2_localnet
0:28:54 load avg: 2.12 [387/425/3] test_urllib2net
0:29:02 load avg: 1.95 [388/425/3] test_urllib_response
0:29:03 load avg: 1.95 [389/425/3] test_urllibnet
0:29:06 load avg: 1.95 [390/425/3] test_urlparse
0:29:08 load avg: 2.19 [391/425/3] test_userdict
0:29:09 load avg: 2.19 [392/425/3] test_userlist
0:29:10 load avg: 2.19 [393/425/3] test_userstring
0:29:13 load avg: 2.18 [394/425/3] test_utf8_mode
0:29:15 load avg: 2.18 [395/425/3] test_utf8source
0:29:16 load avg: 2.18 [396/425/3] test_uu
0:29:17 load avg: 2.08 [397/425/3] test_uuid
0:29:19 load avg: 2.08 [398/425/3] test_venv
0:29:33 load avg: 2.00 [399/425/3] test_wait3
0:29:39 load avg: 2.00 [400/425/3] test_wait4
0:29:45 load avg: 2.16 [401/425/3] test_warnings
0:29:47 load avg: 2.16 [402/425/3] test_wave
0:29:48 load avg: 2.23 [403/425/3] test_weakref
0:30:35 load avg: 1.86 [404/425/3] test_weakset -- test_weakref passed in 47.2 sec
0:30:37 load avg: 1.86 [405/425/3] test_webbrowser
0:30:39 load avg: 1.87 [406/425/3] test_winconsoleio
test_winconsoleio skipped -- test only relevant on win32
0:30:39 load avg: 1.87 [407/425/3] test_winreg -- test_winconsoleio skipped
test_winreg skipped -- No module named 'winreg'
0:30:39 load avg: 1.87 [408/425/3] test_winsound -- test_winreg skipped
test_winsound skipped -- No module named 'winsound'
0:30:40 load avg: 1.87 [409/425/3] test_with -- test_winsound skipped
0:30:41 load avg: 1.87 [410/425/3] test_wsgiref
0:30:42 load avg: 1.87 [411/425/3] test_xdrlib
0:30:43 load avg: 1.88 [412/425/3] test_xml_dom_minicompat
0:30:44 load avg: 1.88 [413/425/3] test_xml_etree
0:30:47 load avg: 1.88 [414/425/3] test_xml_etree_c
0:30:51 load avg: 1.89 [415/425/3] test_xmlrpc
0:30:56 load avg: 1.90 [416/425/3] test_xmlrpc_net
0:30:57 load avg: 1.90 [417/425/3] test_xxtestfuzz
0:30:58 load avg: 1.99 [418/425/3] test_yield_from
0:30:59 load avg: 1.99 [419/425/3] test_zipapp
0:31:00 load avg: 1.99 [420/425/3] test_zipfile
0:31:11 load avg: 1.98 [421/425/3] test_zipfile64
test_zipfile64 skipped -- test requires loads of disk-space bytes and a long time to run
0:31:12 load avg: 1.98 [422/425/3] test_zipimport -- test_zipfile64 skipped (resource denied)
0:31:13 load avg: 1.90 [423/425/3] test_zipimport_support
0:31:15 load avg: 1.90 [424/425/3] test_zlib
0:31:17 load avg: 1.90 [425/425/3] test_zoneinfo

== Tests result: FAILURE ==

409 tests OK.

3 tests failed:
    test_curses test_pwd test_tk

13 tests skipped:
    test_asdl_parser test_check_c_globals test_clinic test_devpoll
    test_gdb test_kqueue test_msilib test_ossaudiodev test_startfile
    test_winconsoleio test_winreg test_winsound test_zipfile64

Total duration: 31 min 18 sec
Tests result: FAILURE
msg374347 - (view) Author: (YoSTEALTH) * Date: 2020-07-26 22:30
while compiling i got this warning, maybe its related!

gcc -pthread -c -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall    -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fvisibility=hidden  -I../Include/internal -IObjects -IInclude -IPython -I. -I../Include    -DPy_BUILD_CORE -o Python/getcompiler.o ../Python/getcompiler.c
In function ‘assemble_lnotab’,
    inlined from ‘assemble_emit’ at ../Python/compile.c:5714:25,
    inlined from ‘assemble’ at ../Python/compile.c:6053:18:
../Python/compile.c:5668:19: warning: writing 1 byte into a region of size 0 [-Wstringop-overflow=]
 5668 |         *lnotab++ = k;
      |         ~~~~~~~~~~^~~
msg374360 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2020-07-27 04:12
It seems they were two tests were reported individually : 

test_curses - https://bugs.python.org/issue36630
test_tk - https://bugs.python.org/issue41306

Please also include the output of /opt/python/3.9.0/bin/python3 -m test.pythoninfo
msg374420 - (view) Author: (YoSTEALTH) * Date: 2020-07-27 20:08
>>> /opt/python/3.9.0/bin/python3 -m test.pythoninfo
Python debug information
========================

CC.version: gcc (GCC) 10.1.0
Py_DEBUG: No (sys.gettotalrefcount() missing)
_decimal.__libmpdec_version__: 2.5.0
builtins.float.double_format: IEEE, little-endian
builtins.float.float_format: IEEE, little-endian
config[_config_init]: 2
config[_init_main]: 1
config[_install_importlib]: 1
config[_isolated_interpreter]: 0
config[_orig_argv]: ['/opt/python/3.9.0/bin/python3', '-m', 'test.pythoninfo']
config[_use_peg_parser]: 1
config[argv]: ['-m']
config[base_exec_prefix]: '/opt/python/3.9.0'
config[base_executable]: '/opt/python/3.9.0/bin/python3'
config[base_prefix]: '/opt/python/3.9.0'
config[buffered_stdio]: 1
config[bytes_warning]: 0
config[check_hash_pycs_mode]: 'default'
config[configure_c_stdio]: 1
config[dev_mode]: 0
config[dump_refs]: 0
config[exec_prefix]: '/opt/python/3.9.0'
config[executable]: '/opt/python/3.9.0/bin/python3'
config[faulthandler]: 0
config[filesystem_encoding]: 'utf-8'
config[filesystem_errors]: 'surrogateescape'
config[hash_seed]: 0
config[home]: None
config[import_time]: 0
config[inspect]: 0
config[install_signal_handlers]: 1
config[interactive]: 0
config[isolated]: 0
config[malloc_stats]: 0
config[module_search_paths]: ['/opt/python/3.9.0/lib/python39.zip', '/opt/python/3.9.0/lib/python3.9', '/opt/python/3.9.0/lib/python3.9/lib-dynload']
config[optimization_level]: 0
config[parse_argv]: 1
config[parser_debug]: 0
config[pathconfig_warnings]: 1
config[platlibdir]: 'lib'
config[prefix]: '/opt/python/3.9.0'
config[program_name]: '/opt/python/3.9.0/bin/python3'
config[pycache_prefix]: None
config[pythonpath_env]: None
config[quiet]: 0
config[run_command]: None
config[run_filename]: None
config[run_module]: 'test.pythoninfo'
config[show_ref_count]: 0
config[site_import]: 1
config[skip_source_first_line]: 0
config[stdio_encoding]: 'utf-8'
config[stdio_errors]: 'strict'
config[tracemalloc]: 0
config[use_environment]: 1
config[use_hash_seed]: 0
config[user_site_directory]: 1
config[verbose]: 0
config[warnoptions]: []
config[write_bytecode]: 1
config[xoptions]: []
datetime.datetime.now: 2020-07-27 14:03:42.099769
expat.EXPAT_VERSION: expat_2.2.8
fips.openssl_fips_mode: 0
gdb_version: GNU gdb (GDB) 9.2
gdbm.GDBM_VERSION: 1.18.1
global_config[Py_BytesWarningFlag]: 0
global_config[Py_DebugFlag]: 0
global_config[Py_DontWriteBytecodeFlag]: 0
global_config[Py_FileSystemDefaultEncodeErrors]: 'surrogateescape'
global_config[Py_FileSystemDefaultEncoding]: 'utf-8'
global_config[Py_FrozenFlag]: 0
global_config[Py_HasFileSystemDefaultEncoding]: 0
global_config[Py_HashRandomizationFlag]: 1
global_config[Py_IgnoreEnvironmentFlag]: 0
global_config[Py_InspectFlag]: 0
global_config[Py_InteractiveFlag]: 0
global_config[Py_IsolatedFlag]: 0
global_config[Py_NoSiteFlag]: 0
global_config[Py_NoUserSiteDirectory]: 0
global_config[Py_OptimizeFlag]: 0
global_config[Py_QuietFlag]: 0
global_config[Py_UTF8Mode]: 0
global_config[Py_UnbufferedStdioFlag]: 0
global_config[Py_VerboseFlag]: 0
global_config[_Py_HasFileSystemDefaultEncodeErrors]: 0
locale.encoding: UTF-8
os.cpu_count: 16
os.environ[DISPLAY]: :0
os.environ[HOME]: /home/stealth
os.environ[LANG]: en_CA.UTF-8
os.environ[LC_ADDRESS]: en_CA.UTF-8
os.environ[LC_IDENTIFICATION]: en_CA.UTF-8
os.environ[LC_MEASUREMENT]: en_CA.UTF-8
os.environ[LC_MONETARY]: en_CA.UTF-8
os.environ[LC_NAME]: en_CA.UTF-8
os.environ[LC_NUMERIC]: en_CA.UTF-8
os.environ[LC_PAPER]: en_CA.UTF-8
os.environ[LC_TELEPHONE]: en_CA.UTF-8
os.environ[LC_TIME]: en_CA.UTF-8
os.environ[PATH]: /home/stealth/.local/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/opt/cuda/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl
os.environ[SHELL]: /bin/bash
os.environ[TERM]: xterm-256color
os.getcwd: /home/stealth
os.getegid: 1000
os.geteuid: 1000
os.getgid: 1000
os.getgrouplist: 1000, 3, 7, 10, 90, 91, 93, 95, 96, 98, 619
os.getgroups: 3, 7, 10, 90, 91, 93, 95, 96, 98, 619, 1000
os.getloadavg: (0.26, 0.6, 0.59)
os.getrandom: ready (initialized)
os.getresgid: (1000, 1000, 1000)
os.getresuid: (1000, 1000, 1000)
os.getuid: 1000
os.login: stealth
os.name: posix
os.supports_bytes_environ: True
os.supports_effective_ids: ['access']
os.supports_fd: ['chdir', 'chmod', 'chown', 'execve', 'listdir', 'pathconf', 'scandir', 'stat', 'statvfs', 'truncate', 'utime']
os.supports_follow_symlinks: ['access', 'chown', 'link', 'stat', 'utime']
os.umask: 0o022
os.uname: posix.uname_result(sysname='Linux', nodename='stealth', release='5.8.0-1-MANJARO', version='#1 SMP PREEMPT Sun Jul 26 22:13:04 UTC 2020', machine='x86_64')
platform.architecture: 64bit ELF
platform.libc_ver: glibc 2.31
platform.platform: Linux-5.8.0-1-MANJARO-x86_64-with-glibc2.31
platform.python_implementation: CPython
pre_config[_config_init]: 2
pre_config[allocator]: 0
pre_config[coerce_c_locale]: 0
pre_config[coerce_c_locale_warn]: 0
pre_config[configure_locale]: 1
pre_config[dev_mode]: 0
pre_config[isolated]: 0
pre_config[parse_argv]: 1
pre_config[use_environment]: 1
pre_config[utf8_mode]: 0
pwd.getpwuid(1000): pwd.struct_passwd(pw_name='stealth', pw_passwd='x', pw_uid=1000, pw_gid=1000, pw_gecos='STEALTH', pw_dir='/home/stealth', pw_shell='/bin/bash')
pymem.allocator: pymalloc
pymem.with_pymalloc: True
readline._READLINE_LIBRARY_VERSION: 8.0
readline._READLINE_RUNTIME_VERSION: 0x800
readline._READLINE_VERSION: 0x800
resource.RLIMIT_AS: (-1, -1)
resource.RLIMIT_CORE: (-1, -1)
resource.RLIMIT_CPU: (-1, -1)
resource.RLIMIT_DATA: (-1, -1)
resource.RLIMIT_FSIZE: (-1, -1)
resource.RLIMIT_MEMLOCK: (-1, -1)
resource.RLIMIT_MSGQUEUE: (819200, 819200)
resource.RLIMIT_NICE: (0, 0)
resource.RLIMIT_NOFILE: (1024, 524288)
resource.RLIMIT_NPROC: (47892, 47892)
resource.RLIMIT_OFILE: (1024, 524288)
resource.RLIMIT_RSS: (-1, -1)
resource.RLIMIT_RTPRIO: (0, 0)
resource.RLIMIT_RTTIME: (-1, -1)
resource.RLIMIT_SIGPENDING: (47892, 47892)
resource.RLIMIT_STACK: (8388608, -1)
resource.pagesize: 4096
socket.hostname: stealth
sqlite3.sqlite_version: 3.32.3
sqlite3.version: 2.6.0
ssl.HAS_SNI: True
ssl.OPENSSL_VERSION: OpenSSL 1.1.1g  21 Apr 2020
ssl.OPENSSL_VERSION_INFO: (1, 1, 1, 7, 15)
ssl.OP_ALL: 0x80000054
ssl.OP_NO_TLSv1_1: 0x10000000
ssl.SSLContext.maximum_version: TLSVersion.MAXIMUM_SUPPORTED
ssl.SSLContext.minimum_version: TLSVersion.MINIMUM_SUPPORTED
ssl.SSLContext.options: Options.OP_ALL|OP_NO_SSLv3|OP_CIPHER_SERVER_PREFERENCE|OP_ENABLE_MIDDLEBOX_COMPAT|OP_NO_COMPRESSION
ssl.SSLContext.protocol: _SSLMethod.PROTOCOL_TLS
ssl.SSLContext.verify_mode: VerifyMode.CERT_NONE
ssl.default_https_context.maximum_version: TLSVersion.MAXIMUM_SUPPORTED
ssl.default_https_context.minimum_version: TLSVersion.MINIMUM_SUPPORTED
ssl.default_https_context.options: Options.OP_ALL|OP_NO_SSLv3|OP_CIPHER_SERVER_PREFERENCE|OP_ENABLE_MIDDLEBOX_COMPAT|OP_NO_COMPRESSION
ssl.default_https_context.protocol: _SSLMethod.PROTOCOL_TLS
ssl.default_https_context.verify_mode: VerifyMode.CERT_REQUIRED
ssl.stdlib_context.maximum_version: TLSVersion.MAXIMUM_SUPPORTED
ssl.stdlib_context.minimum_version: TLSVersion.MINIMUM_SUPPORTED
ssl.stdlib_context.options: Options.OP_ALL|OP_NO_SSLv3|OP_CIPHER_SERVER_PREFERENCE|OP_ENABLE_MIDDLEBOX_COMPAT|OP_NO_COMPRESSION
ssl.stdlib_context.protocol: _SSLMethod.PROTOCOL_TLS
ssl.stdlib_context.verify_mode: VerifyMode.CERT_NONE
subprocess._USE_POSIX_SPAWN: True
sys.api_version: 1013
sys.builtin_module_names: ('_abc', '_ast', '_codecs', '_collections', '_functools', '_imp', '_io', '_locale', '_operator', '_peg_parser', '_signal', '_sre', '_stat', '_string', '_symtable', '_thread', '_tracemalloc', '_warnings', '_weakref', 'atexit', 'builtins', 'errno', 'faulthandler', 'gc', 'itertools', 'marshal', 'posix', 'pwd', 'sys', 'time', 'xxsubtype')
sys.byteorder: little
sys.dont_write_bytecode: False
sys.executable: /opt/python/3.9.0/bin/python3
sys.filesystem_encoding: utf-8/surrogateescape
sys.flags: sys.flags(debug=0, inspect=0, interactive=0, optimize=0, dont_write_bytecode=0, no_user_site=0, no_site=0, ignore_environment=0, verbose=0, bytes_warning=0, quiet=0, hash_randomization=1, isolated=0, dev_mode=False, utf8_mode=0)
sys.float_info: sys.float_info(max=1.7976931348623157e+308, max_exp=1024, max_10_exp=308, min=2.2250738585072014e-308, min_exp=-1021, min_10_exp=-307, dig=15, mant_dig=53, epsilon=2.220446049250313e-16, radix=2, rounds=1)
sys.float_repr_style: short
sys.hash_info: sys.hash_info(width=64, modulus=2305843009213693951, inf=314159, nan=0, imag=1000003, algorithm='siphash24', hash_bits=64, seed_bits=128, cutoff=0)
sys.hexversion: 50921653
sys.implementation: namespace(name='cpython', cache_tag='cpython-39', version=sys.version_info(major=3, minor=9, micro=0, releaselevel='beta', serial=5), hexversion=50921653, _multiarch='x86_64-linux-gnu')
sys.int_info: sys.int_info(bits_per_digit=30, sizeof_digit=4)
sys.maxsize: 9223372036854775807
sys.maxunicode: 1114111
sys.path: ['/home/stealth', '/opt/python/3.9.0/lib/python39.zip', '/opt/python/3.9.0/lib/python3.9', '/opt/python/3.9.0/lib/python3.9/lib-dynload', '/home/stealth/.local/lib/python3.9/site-packages', '/opt/python/3.9.0/lib/python3.9/site-packages']
sys.platform: linux
sys.prefix: /opt/python/3.9.0
sys.stderr.encoding: utf-8/backslashreplace
sys.stdin.encoding: utf-8/strict
sys.stdout.encoding: utf-8/strict
sys.thread_info: sys.thread_info(name='pthread', lock='semaphore', version='NPTL 2.31')
sys.version: 3.9.0b5 (default, Jul 26 2020, 16:24:14)  [GCC 10.1.0]
sys.version_info: sys.version_info(major=3, minor=9, micro=0, releaselevel='beta', serial=5)
sysconfig[CCSHARED]: -fPIC
sysconfig[CC]: gcc -pthread
sysconfig[CFLAGS]: -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall
sysconfig[CONFIG_ARGS]: '--prefix=/opt/python/3.9.0'
sysconfig[HOST_GNU_TYPE]: x86_64-pc-linux-gnu
sysconfig[MACHDEP]: linux
sysconfig[MULTIARCH]: x86_64-linux-gnu
sysconfig[OPT]: -DNDEBUG -g -fwrapv -O3 -Wall
sysconfig[PY_CFLAGS]: -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall
sysconfig[PY_CFLAGS_NODIST]: -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fvisibility=hidden -I../Include/internal
sysconfig[PY_STDMODULE_CFLAGS]: -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fvisibility=hidden -I../Include/internal -IObjects -IInclude -IPython -I. -I../Include
sysconfig[Py_DEBUG]: 0
sysconfig[Py_ENABLE_SHARED]: 0
sysconfig[SHELL]: /bin/sh
sysconfig[SOABI]: cpython-39-x86_64-linux-gnu
sysconfig[prefix]: /opt/python/3.9.0
test_socket.HAVE_SOCKET_ALG: True
test_socket.HAVE_SOCKET_BLUETOOTH: True
test_socket.HAVE_SOCKET_CAN: True
test_socket.HAVE_SOCKET_CAN_ISOTP: False
test_socket.HAVE_SOCKET_CAN_J1939: True
test_socket.HAVE_SOCKET_QIPCRTR: True
test_socket.HAVE_SOCKET_RDS: True
test_socket.HAVE_SOCKET_UDPLITE: True
test_socket.HAVE_SOCKET_VSOCK: False
test_support._is_gui_available: True
test_support.python_is_optimized: True
time.altzone: 21600
time.daylight: 0
time.get_clock_info(monotonic): namespace(implementation='clock_gettime(CLOCK_MONOTONIC)', monotonic=True, adjustable=False, resolution=1e-09)
time.get_clock_info(perf_counter): namespace(implementation='clock_gettime(CLOCK_MONOTONIC)', monotonic=True, adjustable=False, resolution=1e-09)
time.get_clock_info(process_time): namespace(implementation='clock_gettime(CLOCK_PROCESS_CPUTIME_ID)', monotonic=True, adjustable=False, resolution=1e-09)
time.get_clock_info(thread_time): namespace(implementation='clock_gettime(CLOCK_THREAD_CPUTIME_ID)', monotonic=True, adjustable=False, resolution=1e-09)
time.get_clock_info(time): namespace(implementation='clock_gettime(CLOCK_REALTIME)', monotonic=False, adjustable=True, resolution=1e-09)
time.time: 1595880223.5866194
time.timezone: 21600
time.tzname: ('CST', 'CST')
tkinter.TCL_VERSION: 8.6
tkinter.TK_VERSION: 8.6
tkinter.info_patchlevel: 8.6.10
zlib.ZLIB_RUNTIME_VERSION: 1.2.11
zlib.ZLIB_VERSION: 1.2.11
msg374421 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-07-27 20:10
The lnotab warning is probably a bug in gcc 10
msg374429 - (view) Author: Jim Jewett (Jim.Jewett) * (Python triager) Date: 2020-07-27 22:24
Is this a platform where 3.8 was working?

The curses test seems to think you have too many color-pairs defined, and this might well be part of a semi-compatible curses library. I guess I would add some output to the test showing how many (and which) color pairs it thinks there are.

The pwd complaint is correct, but seems like it is complaining about the interface between python and your OS.

The tkinter problem is really a failure to round a floating point, and I would be surprised if python had made changes there recently.  I would be slightly less surprised if something in the compile chain of tk for your system hard-coded a specific rounding format.
msg374442 - (view) Author: (YoSTEALTH) * Date: 2020-07-27 23:33
I compiled and tested for same issues in 3.8.5 and they exist as well.
msg374468 - (view) Author: Jim Jewett (Jim.Jewett) * (Python triager) Date: 2020-07-28 06:03
Then I suspect they also exist in even earlier versions, and are actually tied to your development setup.  That should still be fixed, but it is probably not in Python's own code.  It might be in python's build process, which is still on us.  Or it might be in your distribution, or in a dependency like Tk, or in your personal C compiler or setup.

Could you look to see what your system's actual passwd file says, and how tcl rounds outside of python, and how many color pairs your curses supports or has?
msg374530 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-07-28 21:15
As xtreak noted earlier, the test_tk failure is documented in Issue41306.  It is a result of changes in Tk 8.6.x itself but the tests need to be fixed to work with older and newer versions of Tk 8.6.x. And the curses issues were originally reported in Issue36630 which has been superseded by Issue36982. If there is further discussion needed on either of these two issues, let's use them, please.
History
Date User Action Args
2020-07-28 21:15:27ned.deilysetstatus: open -> closed

superseder: test_tk test_widgets.ScaleTest fails with Tk 8.6.10

nosy: + ned.deily
messages: + msg374530
resolution: duplicate
stage: resolved
2020-07-28 06:03:18Jim.Jewettsetmessages: + msg374468
versions: + Python 3.8, Python 3.9
2020-07-27 23:33:53YoSTEALTHsetmessages: + msg374442
2020-07-27 22:24:14Jim.Jewettsetnosy: + Jim.Jewett
messages: + msg374429
2020-07-27 20:10:48pablogsalsetnosy: + pablogsal
messages: + msg374421
2020-07-27 20:08:05YoSTEALTHsetmessages: + msg374420
2020-07-27 04:12:50xtreaksetnosy: + xtreak
messages: + msg374360
2020-07-26 22:30:18YoSTEALTHsetmessages: + msg374347
2020-07-26 21:11:06YoSTEALTHcreate